Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.RequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.Request`, `ClientWireProtocol.Request.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.RequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.AttachToQuery` | `getAttachToQuery()` | 28 is defined above 29 is defined above
`ClientWireProtocol.AttachToQueryOrBuilder` | `getAttachToQueryOrBuilder()` | 28 is defined above 29 is defined above
`ClientWireProtocol.CancelQuery` | `getCancelQuery()` | `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQueryOrBuilder` | `getCancelQueryOrBuilder()` | `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CheckDataRequest` | `getCheckData()` | `.xg.cmdcomp.CheckDataRequest check_data = 39;`
`ClientWireProtocol.CheckDataRequestOrBuilder` | `getCheckDataOrBuilder()` | `.xg.cmdcomp.CheckDataRequest check_data = 39;`
`ClientWireProtocol.ClientConnection` | `getClientConnection()` | `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnection2` | `getClientConnection2()` | `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2OrBuilder` | `getClientConnection2OrBuilder()` | `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnectionGCM` | `getClientConnectionGcm()` | `.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionGCM2` | `getClientConnectionGcm2()` | `.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCM2OrBuilder` | `getClientConnectionGcm2OrBuilder()` | `.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCMOrBuilder` | `getClientConnectionGcmOrBuilder()` | `.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionOrBuilder` | `getClientConnectionOrBuilder()` | `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.CloseConnection` | `getCloseConnection()` | `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnectionOrBuilder` | `getCloseConnectionOrBuilder()` | `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseResultSet` | `getCloseResultSet()` | `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSetOrBuilder` | `getCloseResultSetOrBuilder()` | `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.ExecuteExplain` | `getExecuteExplain()` | `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplainForSpark` | `getExecuteExplainForSpark()` | Spark Deprecated
`ClientWireProtocol.ExecuteExplainForSparkOrBuilder` | `getExecuteExplainForSparkOrBuilder()` | Spark Deprecated
`ClientWireProtocol.ExecuteExplainOrBuilder` | `getExecuteExplainOrBuilder()` | `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExport` | `getExecuteExport()` | `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExportOrBuilder` | `getExecuteExportOrBuilder()` | `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteInlinePlan` | `getExecuteInlinePlan()` | `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlanOrBuilder` | `getExecuteInlinePlanOrBuilder()` | `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecutePlan` | `getExecutePlan()` | `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecutePlanOrBuilder` | `getExecutePlanOrBuilder()` | `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecuteQuery` | `getExecuteQuery()` | `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQueryOrBuilder` | `getExecuteQueryOrBuilder()` | `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteUpdate` | `getExecuteUpdate()` | `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdateOrBuilder` | `getExecuteUpdateOrBuilder()` | `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExplainPipelineRequest` | `getExplainPipeline()` | `.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPipelineRequestOrBuilder` | `getExplainPipelineOrBuilder()` | `.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPlan` | `getExplainPlan()` | `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlanOrBuilder` | `getExplainPlanOrBuilder()` | `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.FetchData` | `getFetchData()` | `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchDataOrBuilder` | `getFetchDataOrBuilder()` | `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchMetadata` | `getFetchMetadata()` | `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadataOrBuilder` | `getFetchMetadataOrBuilder()` | `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchSystemMetadata` | `getFetchSystemMetadata()` | `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadataOrBuilder` | `getFetchSystemMetadataOrBuilder()` | `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.ForceExternal` | `getForceExternal()` | `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.ForceExternalOrBuilder` | `getForceExternalOrBuilder()` | `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.GetSchema` | `getGetSchema()` | `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchemaOrBuilder` | `getGetSchemaOrBuilder()` | `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.KillQuery` | `getKillQuery()` | `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQueryOrBuilder` | `getKillQueryOrBuilder()` | `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.ListPlan` | `getListPlan()` | `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlanOrBuilder` | `getListPlanOrBuilder()` | `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.LoadBroadcast` | `getLoadBroadcast()` | `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.LoadBroadcastOrBuilder` | `getLoadBroadcastOrBuilder()` | `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.LocalCancelQuery` | `getLocalCancelQuery()` | `.xg.cmdcomp.LocalCancelQuery local_cancel_query = 28;`
`ClientWireProtocol.LocalCancelQueryOrBuilder` | `getLocalCancelQueryOrBuilder()` | `.xg.cmdcomp.LocalCancelQuery local_cancel_query = 28;`
`ClientWireProtocol.LocalKillQuery` | `getLocalKillQuery()` | `.xg.cmdcomp.LocalKillQuery local_kill_query = 29;`
`ClientWireProtocol.LocalKillQueryOrBuilder` | `getLocalKillQueryOrBuilder()` | `.xg.cmdcomp.LocalKillQuery local_kill_query = 29;`
`ClientWireProtocol.LocalQueries` | `getLocalQueries()` | `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.LocalQueriesOrBuilder` | `getLocalQueriesOrBuilder()` | `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.RequestOneofCase` | `getRequestOneofCase()` |
`ClientWireProtocol.SetParameter` | `getSetParameter()` | 31 is defined above
`ClientWireProtocol.SetParameterOrBuilder` | `getSetParameterOrBuilder()` | 31 is defined above
`ClientWireProtocol.SetPSO` | `getSetPso()` | `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.SetPSOOrBuilder` | `getSetPsoOrBuilder()` | `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.SetSchema` | `getSetSchema()` | `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchemaOrBuilder` | `getSetSchemaOrBuilder()` | `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SystemWideCompletedQueries` | `getSystemWideCompletedQueries()` | `.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`
`ClientWireProtocol.SystemWideCompletedQueriesOrBuilder` | `getSystemWideCompletedQueriesOrBuilder()` | `.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`
`ClientWireProtocol.SystemWideQueries` | `getSystemWideQueries()` | `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.SystemWideQueriesOrBuilder` | `getSystemWideQueriesOrBuilder()` | `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.TestConnection` | `getTestConnection()` | `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnectionOrBuilder` | `getTestConnectionOrBuilder()` | `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.RequestType` | `getType()` | `.xg.cmdcomp.Request.RequestType type = 1;`
`int` | `getTypeValue()` | `.xg.cmdcomp.Request.RequestType type = 1;`
`boolean` | `hasAttachToQuery()` | 28 is defined above 29 is defined above
`boolean` | `hasCancelQuery()` | `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`boolean` | `hasCheckData()` | `.xg.cmdcomp.CheckDataRequest check_data = 39;`
`boolean` | `hasClientConnection()` | `.xg.cmdcomp.ClientConnection client_connection = 2;`
`boolean` | `hasClientConnection2()` | `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`boolean` | `hasClientConnectionGcm()` | `.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`boolean` | `hasClientConnectionGcm2()` | `.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`boolean` | `hasCloseConnection()` | `.xg.cmdcomp.CloseConnection close_connection = 5;`
`boolean` | `hasCloseResultSet()` | `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`boolean` | `hasExecuteExplain()` | `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`boolean` | `hasExecuteExplainForSpark()` | Spark Deprecated
`boolean` | `hasExecuteExport()` | `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`boolean` | `hasExecuteInlinePlan()` | `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`boolean` | `hasExecutePlan()` | `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`boolean` | `hasExecuteQuery()` | `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`boolean` | `hasExecuteUpdate()` | `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`boolean` | `hasExplainPipeline()` | `.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`boolean` | `hasExplainPlan()` | `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`boolean` | `hasFetchData()` | `.xg.cmdcomp.FetchData fetch_data = 8;`
`boolean` | `hasFetchMetadata()` | `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`boolean` | `hasFetchSystemMetadata()` | `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`boolean` | `hasForceExternal()` | `.xg.cmdcomp.ForceExternal force_external = 25;`
`boolean` | `hasGetSchema()` | `.xg.cmdcomp.GetSchema get_schema = 4;`
`boolean` | `hasKillQuery()` | `.xg.cmdcomp.KillQuery kill_query = 23;`
`boolean` | `hasListPlan()` | `.xg.cmdcomp.ListPlan list_plan = 22;`
`boolean` | `hasLoadBroadcast()` | `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`boolean` | `hasLocalCancelQuery()` | `.xg.cmdcomp.LocalCancelQuery local_cancel_query = 28;`
`boolean` | `hasLocalKillQuery()` | `.xg.cmdcomp.LocalKillQuery local_kill_query = 29;`
`boolean` | `hasLocalQueries()` | `.xg.cmdcomp.LocalQueries local_queries = 19;`
`boolean` | `hasSetParameter()` | 31 is defined above
`boolean` | `hasSetPso()` | `.xg.cmdcomp.SetPSO set_pso = 27;`
`boolean` | `hasSetSchema()` | `.xg.cmdcomp.SetSchema set_schema = 6;`
`boolean` | `hasSystemWideCompletedQueries()` | `.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`
`boolean` | `hasSystemWideQueries()` | `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`boolean` | `hasTestConnection()` | `.xg.cmdcomp.TestConnection test_connection = 7;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTypeValue

int getTypeValue()
`.xg.cmdcomp.Request.RequestType type = 1;`

### getType

ClientWireProtocol.Request.RequestType getType()
`.xg.cmdcomp.Request.RequestType type = 1;`

### hasClientConnection

boolean hasClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### getClientConnection

ClientWireProtocol.ClientConnection getClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### getClientConnectionOrBuilder

ClientWireProtocol.ClientConnectionOrBuilder getClientConnectionOrBuilder()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### hasClientConnection2

boolean hasClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### getClientConnection2

ClientWireProtocol.ClientConnection2 getClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### getClientConnection2OrBuilder

ClientWireProtocol.ClientConnection2OrBuilder getClientConnection2OrBuilder()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### hasGetSchema

boolean hasGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

### getGetSchema

ClientWireProtocol.GetSchema getGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

### getGetSchemaOrBuilder

ClientWireProtocol.GetSchemaOrBuilder getGetSchemaOrBuilder()
`.xg.cmdcomp.GetSchema get_schema = 4;`

### hasCloseConnection

boolean hasCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### getCloseConnection

ClientWireProtocol.CloseConnection getCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### getCloseConnectionOrBuilder

ClientWireProtocol.CloseConnectionOrBuilder getCloseConnectionOrBuilder()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### hasSetSchema

boolean hasSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

### getSetSchema

ClientWireProtocol.SetSchema getSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

### getSetSchemaOrBuilder

ClientWireProtocol.SetSchemaOrBuilder getSetSchemaOrBuilder()
`.xg.cmdcomp.SetSchema set_schema = 6;`

### hasTestConnection

boolean hasTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

### getTestConnection

ClientWireProtocol.TestConnection getTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

### getTestConnectionOrBuilder

ClientWireProtocol.TestConnectionOrBuilder getTestConnectionOrBuilder()
`.xg.cmdcomp.TestConnection test_connection = 7;`

### hasFetchData

boolean hasFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

### getFetchData

ClientWireProtocol.FetchData getFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

### getFetchDataOrBuilder

ClientWireProtocol.FetchDataOrBuilder getFetchDataOrBuilder()
`.xg.cmdcomp.FetchData fetch_data = 8;`

### hasFetchMetadata

boolean hasFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### getFetchMetadata

ClientWireProtocol.FetchMetadata getFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### getFetchMetadataOrBuilder

ClientWireProtocol.FetchMetadataOrBuilder getFetchMetadataOrBuilder()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### hasCloseResultSet

boolean hasCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### getCloseResultSet

ClientWireProtocol.CloseResultSet getCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### getCloseResultSetOrBuilder

ClientWireProtocol.CloseResultSetOrBuilder getCloseResultSetOrBuilder()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### hasExecuteQuery

boolean hasExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### getExecuteQuery

ClientWireProtocol.ExecuteQuery getExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### getExecuteQueryOrBuilder

ClientWireProtocol.ExecuteQueryOrBuilder getExecuteQueryOrBuilder()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### hasExecuteExplain

boolean hasExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### getExecuteExplain

ClientWireProtocol.ExecuteExplain getExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### getExecuteExplainOrBuilder

ClientWireProtocol.ExecuteExplainOrBuilder getExecuteExplainOrBuilder()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### hasExecuteExplainForSpark

boolean hasExecuteExplainForSpark()

    Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### getExecuteExplainForSpark

ClientWireProtocol.ExecuteExplainForSpark getExecuteExplainForSpark()

    Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### getExecuteExplainForSparkOrBuilder

ClientWireProtocol.ExecuteExplainForSparkOrBuilder getExecuteExplainForSparkOrBuilder()

    Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### hasExecuteUpdate

boolean hasExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### getExecuteUpdate

ClientWireProtocol.ExecuteUpdate getExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### getExecuteUpdateOrBuilder

ClientWireProtocol.ExecuteUpdateOrBuilder getExecuteUpdateOrBuilder()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### hasLoadBroadcast

boolean hasLoadBroadcast()
`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

### getLoadBroadcast

ClientWireProtocol.LoadBroadcast getLoadBroadcast()
`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

### getLoadBroadcastOrBuilder

ClientWireProtocol.LoadBroadcastOrBuilder getLoadBroadcastOrBuilder()
`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

### hasFetchSystemMetadata

boolean hasFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### getFetchSystemMetadata

ClientWireProtocol.FetchSystemMetadata getFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### getFetchSystemMetadataOrBuilder

ClientWireProtocol.FetchSystemMetadataOrBuilder getFetchSystemMetadataOrBuilder()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### hasCancelQuery

boolean hasCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### getCancelQuery

ClientWireProtocol.CancelQuery getCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### getCancelQueryOrBuilder

ClientWireProtocol.CancelQueryOrBuilder getCancelQueryOrBuilder()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### hasLocalCancelQuery

boolean hasLocalCancelQuery()
`.xg.cmdcomp.LocalCancelQuery local_cancel_query = 28;`

### getLocalCancelQuery

ClientWireProtocol.LocalCancelQuery getLocalCancelQuery()
`.xg.cmdcomp.LocalCancelQuery local_cancel_query = 28;`

### getLocalCancelQueryOrBuilder

ClientWireProtocol.LocalCancelQueryOrBuilder getLocalCancelQueryOrBuilder()
`.xg.cmdcomp.LocalCancelQuery local_cancel_query = 28;`

### hasSystemWideQueries

boolean hasSystemWideQueries()
`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

### getSystemWideQueries

ClientWireProtocol.SystemWideQueries getSystemWideQueries()
`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

### getSystemWideQueriesOrBuilder

ClientWireProtocol.SystemWideQueriesOrBuilder getSystemWideQueriesOrBuilder()
`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

### hasLocalQueries

boolean hasLocalQueries()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

### getLocalQueries

ClientWireProtocol.LocalQueries getLocalQueries()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

### getLocalQueriesOrBuilder

ClientWireProtocol.LocalQueriesOrBuilder getLocalQueriesOrBuilder()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

### hasSystemWideCompletedQueries

boolean hasSystemWideCompletedQueries()
`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

### getSystemWideCompletedQueries

ClientWireProtocol.SystemWideCompletedQueries getSystemWideCompletedQueries()
`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

### getSystemWideCompletedQueriesOrBuilder

ClientWireProtocol.SystemWideCompletedQueriesOrBuilder getSystemWideCompletedQueriesOrBuilder()
`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

### hasExecutePlan

boolean hasExecutePlan()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### getExecutePlan

ClientWireProtocol.ExecutePlan getExecutePlan()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### getExecutePlanOrBuilder

ClientWireProtocol.ExecutePlanOrBuilder getExecutePlanOrBuilder()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### hasExplainPlan

boolean hasExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### getExplainPlan

ClientWireProtocol.ExplainPlan getExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### getExplainPlanOrBuilder

ClientWireProtocol.ExplainPlanOrBuilder getExplainPlanOrBuilder()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### hasListPlan

boolean hasListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

### getListPlan

ClientWireProtocol.ListPlan getListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

### getListPlanOrBuilder

ClientWireProtocol.ListPlanOrBuilder getListPlanOrBuilder()
`.xg.cmdcomp.ListPlan list_plan = 22;`

### hasKillQuery

boolean hasKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

### getKillQuery

ClientWireProtocol.KillQuery getKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

### getKillQueryOrBuilder

ClientWireProtocol.KillQueryOrBuilder getKillQueryOrBuilder()
`.xg.cmdcomp.KillQuery kill_query = 23;`

### hasLocalKillQuery

boolean hasLocalKillQuery()
`.xg.cmdcomp.LocalKillQuery local_kill_query = 29;`

### getLocalKillQuery

ClientWireProtocol.LocalKillQuery getLocalKillQuery()
`.xg.cmdcomp.LocalKillQuery local_kill_query = 29;`

### getLocalKillQueryOrBuilder

ClientWireProtocol.LocalKillQueryOrBuilder getLocalKillQueryOrBuilder()
`.xg.cmdcomp.LocalKillQuery local_kill_query = 29;`

### hasExecuteInlinePlan

boolean hasExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### getExecuteInlinePlan

ClientWireProtocol.ExecuteInlinePlan getExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### getExecuteInlinePlanOrBuilder

ClientWireProtocol.ExecuteInlinePlanOrBuilder getExecuteInlinePlanOrBuilder()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### hasForceExternal

boolean hasForceExternal()
`.xg.cmdcomp.ForceExternal force_external = 25;`

### getForceExternal

ClientWireProtocol.ForceExternal getForceExternal()
`.xg.cmdcomp.ForceExternal force_external = 25;`

### getForceExternalOrBuilder

ClientWireProtocol.ForceExternalOrBuilder getForceExternalOrBuilder()
`.xg.cmdcomp.ForceExternal force_external = 25;`

### hasExecuteExport

boolean hasExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### getExecuteExport

ClientWireProtocol.ExecuteExport getExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### getExecuteExportOrBuilder

ClientWireProtocol.ExecuteExportOrBuilder getExecuteExportOrBuilder()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### hasSetPso

boolean hasSetPso()
`.xg.cmdcomp.SetPSO set_pso = 27;`

### getSetPso

ClientWireProtocol.SetPSO getSetPso()
`.xg.cmdcomp.SetPSO set_pso = 27;`

### getSetPsoOrBuilder

ClientWireProtocol.SetPSOOrBuilder getSetPsoOrBuilder()
`.xg.cmdcomp.SetPSO set_pso = 27;`

### hasAttachToQuery

boolean hasAttachToQuery()

     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### getAttachToQuery

ClientWireProtocol.AttachToQuery getAttachToQuery()

     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### getAttachToQueryOrBuilder

ClientWireProtocol.AttachToQueryOrBuilder getAttachToQueryOrBuilder()

     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### hasSetParameter

boolean hasSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### getSetParameter

ClientWireProtocol.SetParameter getSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### getSetParameterOrBuilder

ClientWireProtocol.SetParameterOrBuilder getSetParameterOrBuilder()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### hasExplainPipeline

boolean hasExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### getExplainPipeline

ClientWireProtocol.ExplainPipelineRequest getExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### getExplainPipelineOrBuilder

ClientWireProtocol.ExplainPipelineRequestOrBuilder getExplainPipelineOrBuilder()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### hasClientConnectionGcm

boolean hasClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### getClientConnectionGcm

ClientWireProtocol.ClientConnectionGCM getClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### getClientConnectionGcmOrBuilder

ClientWireProtocol.ClientConnectionGCMOrBuilder getClientConnectionGcmOrBuilder()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### hasClientConnectionGcm2

boolean hasClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### getClientConnectionGcm2

ClientWireProtocol.ClientConnectionGCM2 getClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### getClientConnectionGcm2OrBuilder

ClientWireProtocol.ClientConnectionGCM2OrBuilder getClientConnectionGcm2OrBuilder()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### hasCheckData

boolean hasCheckData()
`.xg.cmdcomp.CheckDataRequest check_data = 39;`

### getCheckData

ClientWireProtocol.CheckDataRequest getCheckData()
`.xg.cmdcomp.CheckDataRequest check_data = 39;`

### getCheckDataOrBuilder

ClientWireProtocol.CheckDataRequestOrBuilder getCheckDataOrBuilder()
`.xg.cmdcomp.CheckDataRequest check_data = 39;`

### getRequestOneofCase

ClientWireProtocol.Request.RequestOneofCase getRequestOneofCase()